snd_pcm_new_stream
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_new_stream — create a new PCM stream

## Synopsis

`int snd_pcm_new_stream (` | struct snd_pcm * | pcm,
| int | stream,
| int | substream_count`)`;

## Arguments

`pcm`

  the pcm instance

`stream`

  the stream direction, SNDRV_PCM_STREAM_XXX

`substream_count`

  the number of substreams

## Description

Creates a new stream for the pcm. The corresponding stream on the pcm must have been empty before calling this, i.e. zero must be given to the argument of `snd_pcm_new`.

Returns zero if successful, or a negative error code on failure.

Prev | Up | Next
snd_pcm_format_cpu_endian | Home | snd_pcm_new